MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027068Open CASCADE[OCCT] OCCT:Codingpublic2016-01-09 09:322016-04-20 15:50
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027068: Coding - eliminate VC++ 14 compiler warnings in MFC samples
DescriptionVC++ 14 reports a dozen compiler warnings on MFC samples. of two kinds:
- local variable hides variable in outer scope
- narrowing type conversion
Steps To ReproduceBuild MFC samples with VC++ 14
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0049752)
git (administrator)
2016-01-09 14:02

Branch CR27068 has been created by abv.

SHA-1: aa72cedaa7bfd4c3546b64b7b77df69d35f479f4


Detailed log of new commits:

Author: abv
Date: Sat Jan 9 09:33:40 2016 +0300

    0027068: Coding - eliminate VC++ 14 compiler warnings in MFC samples
    
    Code is corrected to avoid compiler warnings
(0049753)
abv (manager)
2016-01-09 14:03

Fix pushed to CR27068, please review
(0049763)
kgv (developer)
2016-01-09 20:52

Please check MFC samples, OCCT code is not affected by patch.
(0052973)
git (administrator)
2016-04-17 13:46

Branch CR27068 has been deleted by kgv.

SHA-1: aa72cedaa7bfd4c3546b64b7b77df69d35f479f4

- Related Changesets
occt: master e0280ce9
Timestamp: 2016-01-09 06:33:40
Author: abv
Committer: abv
Details ] Diff ]
0027068: Coding - eliminate VC++ 14 compiler warnings in MFC samples

Code is corrected to avoid compiler warnings
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/TexturesExt_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/Tesselate_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/Common/DimensionDlg.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ImportExport/ImportExport.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ISession2D/ISession2D_Shape.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Winmain.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-09 09:32 abv New Issue
2016-01-09 09:32 abv Assigned To => kgv
2016-01-09 14:02 git Note Added: 0049752
2016-01-09 14:03 abv Note Added: 0049753
2016-01-09 14:03 abv Status new => resolved
2016-01-09 14:03 abv Steps to Reproduce Updated View Revisions
2016-01-09 20:52 kgv Note Added: 0049763
2016-01-09 20:52 kgv Assigned To kgv => bugmaster
2016-01-09 20:52 kgv Status resolved => reviewed
2016-01-15 16:57 abv Changeset attached => occt master e0280ce9
2016-01-15 16:57 abv Assigned To bugmaster => abv
2016-01-15 16:57 abv Status reviewed => verified
2016-01-15 16:57 abv Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052973
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker